RPMSIGN(1)

NAMN
rpmsign — Signering av RPM-paket

SYNOPSIS
rpmsign {--addsign|--resign} [flaggor] [signeringsflaggor] PAKETFIL …

rpmsign --delsign [flaggor] PAKETFIL …

rpmsign --delfilesign [flaggor] PAKETFIL …

BESKRIVNING
rpmsign används för att hantera digitala OpenPGP-signaturer på rpm-paketfiler.

För att skapa en signatur behöver rpmsign verifiera paketets kontrollsumma. Därför kan V4-paket med MD5/SHA1-kontrollsummor inte signeras i FIPS-läge.

ÅTGÄRDER
--addsign
    Generera och infoga en ny OpenPGP-signatur i varje given PAKETFIL såvida inte en signatur med identiska parametrar redan finns, i vilket fall ingen åtgärd vidtas. Ett godtyckligt antal V6-signaturer kan läggas till.

--resign
    Genererar och infogar en ny OpenPGP-signatur för varje PAKETFIL, och ersätt eventuella tidigare signaturer.

--delsign
    Radera alla OpenPGP-signaturer från varje angivet paket PAKETFIL.

--delfilesign
    Radera alla IMA- och fsverity-filsignaturer från varje angivet paket PAKETFIL.

ARGUMENT
PAKETFIL
    En rpm-paketfil.

FLAGGOR
Se rpm-common(8) för flaggorna gemensamma för alla rpm-program.

SIGNERINGSFLAGGOR
--certpath CERT
    Använt med --signverity, använd filsigneringscertifikatet CERT.

--fskpath NYCKEL
    Använt med --signfiles, använd filsigneringsnyckeln NYCKEL.

--key-id NYCKELID
    Använd NYCKELID till signering. Åsidosätter konfigurationen %_openpgp_sign_id.

--rpmv3
    Begär ett tillägg av en RPM V3 huvud+last-signatur till ett V4-paket. Dessa signaturer är dyrt och överflödigt bagage i paket där en separat kontrollsumma för lasten finns (paket byggda med rpm ≥ 4.14). Rpmsign kommer automatiskt att upptäcka behovet av V3-signaturer, men denna flagga kan användas för att tvinga fram skapandet av dem om paketen måste vara fullt signaturverifierbara med rpm < 4.14 eller av andra interoperabilitetsskäl.

    Har ingen effekt vid signering av V6-paket.

--rpmv4
    Begär ett tillägg av en RPM V4-signatur till ett V6-paket. Användbart för att göra V6-paketsignaturer verifierbara med rpm versioner 4.x.

    V4-kompatibla signaturer läggs endast till om signeringsalgoritmen är en av de som V4 känner till: RSA, EcDSA, EdDSA (och original-DSA). Endast en V4-signatur kan finnas i ett paket, så detta läggs till endast vid den första --addsign med en V4-kompatibel algoritm, och ignoreras i annat fall.

    Har ingen effekt vid signering av V4-paket.

--rpmv6
    Begär ett tillägg av en RPM V6-huvudsignatur till ett V4-paket.

    Detta lyckas normalt alltid eftersom det kan finnas ett godtyckligt antal V6-signaturer på ett paket. En V3/V4-kompatibel signatur läggs till med samma logik som --rpmv4 på ett V6-paket.

    Har ingen effekt vid signering av V6-paket.

--signfiles
    Signera paketfiler. Filsigneringsnyckeln (RSA:s privata nyckel) måste vara satt före paketet signeras, den kan konfigureras på kommandoraden med --fskpath eller makrot %_file_signing_key.

--signverity
    Signera paket med fsverity-signaturer. Filsigneringsnyckeln (RSA:s privata nyckel) och signeringscertifikatet måste vara satta före paketet signeras. Nyckeln kan konfigureras på kommandoraden med --fskpath eller makrot %_file_signing_key, och certifikatet kan konfigureras på kommandoraden med --certpath eller makrot %_file_signing_cert.

--verityalgo ALG
    Använt med --signverity för att specificera signaturalgoritmen. sha256 och sha512 stödjs, med sha256 som standardvärdet om detta argument inte anges. Detta kan även användas med makrot %_verity_algorithm.

KONFIGURATION
För att signera paket behöver man skapa sitt eget OpenPGP-nyckelpar (även känt som certifikat) och konfigurera rpm(8) till att använda den. Följande makron är tillgängliga:

%_openpgp_sign_id
    Fingeravtrycket eller nyckel-id för signeringsnyckeln som skall användas. Normalt är detta den enda konfigurationen som behövs. Om utelämnat måste --key-id anges explicit vid signering.

%_openpgp_sign
    Implementationen av OpenPGP att använda för signering. Värden som stödjs är ”gpg” för GnuPG (standardvärdet och det traditionella) och ”sq” för Sequoia PGP.

Implementationsspecifika makron:

%_gpg_path
    Platsen för GnuPG-nyckelringen om den inte är standardvärdet $GNUPGHOME.

%_gpg_name
    Föråldrat makro för att konfigurera användar-id till GnuPG. Använd det implementationsoberoende och entydiga %_openpgp_sign_id istället.

%_sq_path
    Platsen för Sequoia-konfigurationen om den inte är standardvärdet.

EXEMPEL

  Exempel 1. Grundläggande inställning
Konfigurera RPM till att signera paket med Sequoia PGP och en specifik nyckel genom att lägga till följande innehåll till användarens fil rpm-config(5) (typiskt ~/.config/rpm/macros):

    %_openpgp_sign sq
    %_openpgp_sign_id 7B36C3EE0CCE86EDBC3EFF2685B274E29F798E08

  Exempel 2. Grundläggande åtgärder
rpmsign --addsign hej-2.0-1.x64_rpm
    Lägg till en signatur till paketet hej-2.0-1.x64_rpm.

rpmsign --resign --key-id 771b18d3d7baa28734333c424344591e1964c5fc hej-2.0-1.x64_rpm
    Ersätt alla signaturer i paketet hej-2.0-1.x64_rpm med en signatur som använder nyckeln 771b18d3d7baa28734333c424344591e1964c5fc.

rpmsign --delsign --delfilesign hej-2.0-1.x64_rpm
    Radera alla signaturer från paketet hej-2.0-1.x64_rpm.

SLUTSTATUS
Om det gick bra returneras 0, annars en nollskild felkod.

SE ÄVEN
popt(3), rpm(8), rpm-common(8), rpmkeys(8), rpmbuild(1)

rpmsign --help — eftersom rpm stödjer anpassning av flaggor via popt-alias är det omöjligt att garantera att vad som beskrivs i manualen stämmer med vad som finns tillgängligt.

http://www.rpm.org/

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.